Subject: Re: [RFC/PATCH] git-remote-mediawiki: reset private ref after non-dumb push

From: Matthieu Moy <[email-masked]>
Date: Tue, 27 Aug 2013 09:25:27 +0200

Felipe Contreras <[email-masked]> writes:

> On Mon, Aug 26, 2013 at 4:16 AM, Matthieu Moy
> <[email-masked]> wrote:
>> Matthieu Moy <[email-masked]> writes:
>>
>>> Junio C Hamano <[email-masked]> writes:
>>>
>>>> Matthieu Moy <[email-masked]> writes:
>>>
>>> Ideally, it would be possible to ask for a non-update without a fatal
>>> error on old Git versions, but this is not possible (hence, my fix is
>>> the "portable" one, that works on Git 1.8.4).
>>>
>>> But that's probably the best we can do now.
>>
>> ... and a patch implementing that would look like:
>
> This is exactly what I meant by only update when a feature has been
> flagged.

OK, I didn't understand you meant patching Git itself for that. So it
makes sense to turn my toy patch into a real patch I guess. Any comment
on the capability name? I used dont-update-private, which is a bit long.
The actual precise name would be dont-update-private-for-push, but
that's really long. Any better idea?

Just to be sure: you originally wrote "update the remote namespace only
when a certain feature has been flagged". My patch differs in two ways:
it's opt-out, not opt-in, and it's about updating the _private_
namespace, not the remote. Any comment on what's the best behavior?

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/